## r-bioc-basilisk.utils 1.6.0+ds

=== DESCRIPTION ===
Package: basilisk.utils
Version: 1.6.0
Date: 2021-04-08
Title: Basilisk Installation Utilities
Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
        email="infinite.monkeys.with.keyboards@gmail.com"))
Imports: utils, methods, tools, dir.expiry
Suggests: knitr, rmarkdown, BiocStyle, testthat
biocViews: Infrastructure
Description: 
    Implements utilities for installation of the basilisk package, primarily 
    for creation of the underlying Conda instance. This allows us to
    avoid re-writing the same R code in both the configure script (for
    centrally administered R installations) and in the lazy installation
    mechanism (for distributed package binaries). It is highly unlikely that developers
    - or, heaven forbid, end-users! - will need to interact with this package
    directly; they should be using the basilisk package instead.
License: GPL-3
RoxygenNote: 7.1.1
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/basilisk.utils
git_branch: RELEASE_3_14
git_last_commit: f6bb193
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: no
Packaged: 2021-10-26 20:52:05 UTC; biocbuild
Author: Aaron Lun [aut, cre, cph]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-basilisk.utils (1.6.0+ds-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.6.0+ds

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 20:17:34 +0530

r-bioc-basilisk.utils (1.4.0+ds-2) unstable; urgency=medium

  * Team upload.
    + Source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Mon, 15 Nov 2021 01:00:53 +0530

r-bioc-basilisk.utils (1.4.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Initial release (closes: #991858)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 10:50:57 +0200

=== debian/control ===
Source: r-bioc-basilisk.utils
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-dir.expiry
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-basilisk.utils
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-basilisk.utils.git
Homepage: https://bioconductor.org/packages/basilisk.utils/
Rules-Requires-Root: no

Package: r-bioc-basilisk.utils
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Bioconductor basilisk installation utilities
 Implements utilities for installation of the basilisk package, primarily
 for creation of the underlying Conda instance. This allows one to avoid
 re-writing the same R code in both the configure script (for centrally
 administered R installations) and in the lazy installation mechanism
 (for distributed package binaries). It is highly unlikely that
 developers - or, heaven forbid, end-users! - will need to interact with
 this package directly; they should be using the basilisk package instead.

## r-bioc-basilisk.utils 1.8.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: basilisk.utils
-Version: 1.6.0
+Version: 1.8.0
 Date: 2021-04-08
 Title: Basilisk Installation Utilities
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
@@ -19,11 +19,11 @@
 RoxygenNote: 7.1.1
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/basilisk.utils
-git_branch: RELEASE_3_14
-git_last_commit: f6bb193
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 8a38d2e
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 20:52:05 UTC; biocbuild
+Packaged: 2022-04-26 20:01:37 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-basilisk.utils (1.8.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 11:32:55 +0200

## r-bioc-basilisk.utils 1.10.0+ds

=== DESCRIPTION ===
Package: basilisk.utils
Version: 1.10.0
Date: 2022-09-18
Title: Basilisk Installation Utilities
Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
        email="infinite.monkeys.with.keyboards@gmail.com"))
Imports: utils, methods, tools, dir.expiry
Suggests: reticulate, knitr, rmarkdown, BiocStyle, testthat
biocViews: Infrastructure
Description: 
    Implements utilities for installation of the basilisk package, primarily 
    for creation of the underlying Conda instance. This allows us to
    avoid re-writing the same R code in both the configure script (for
    centrally administered R installations) and in the lazy installation
    mechanism (for distributed package binaries). It is highly unlikely that developers
    - or, heaven forbid, end-users! - will need to interact with this package
    directly; they should be using the basilisk package instead.
License: GPL-3
RoxygenNote: 7.2.1
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/basilisk.utils
git_branch: RELEASE_3_16
git_last_commit: b4d6087
git_last_commit_date: 2022-11-01
Date/Publication: 2022-11-01
NeedsCompilation: no
Packaged: 2022-11-01 20:52:22 UTC; biocbuild
Author: Aaron Lun [aut, cre, cph]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-basilisk.utils (1.10.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 13:43:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-bioc-basilisk.utils
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-basilisk.utils
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-basilisk.utils.git
+Homepage: https://bioconductor.org/packages/basilisk.utils/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-dir.expiry
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-basilisk.utils
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-basilisk.utils.git
-Homepage: https://bioconductor.org/packages/basilisk.utils/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-basilisk.utils
 Architecture: all

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/basilisk.utils.html .*/basilisk.utils_(.*).tar.gz

## r-bioc-basilisk.utils 1.12.1+ds

=== DESCRIPTION ===
Package: basilisk.utils
Version: 1.12.1
Date: 2023-05-19
Title: Basilisk Installation Utilities
Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
        email="infinite.monkeys.with.keyboards@gmail.com"))
Imports: utils, methods, tools, dir.expiry
Suggests: reticulate, knitr, rmarkdown, BiocStyle, testthat, basilisk
biocViews: Infrastructure
Description: 
    Implements utilities for installation of the basilisk package, primarily 
    for creation of the underlying Conda instance. This allows us to
    avoid re-writing the same R code in both the configure script (for
    centrally administered R installations) and in the lazy installation
    mechanism (for distributed package binaries). It is highly unlikely that developers
    - or, heaven forbid, end-users! - will need to interact with this package
    directly; they should be using the basilisk package instead.
License: GPL-3
RoxygenNote: 7.2.3
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/basilisk.utils
git_branch: RELEASE_3_17
git_last_commit: c93f615
git_last_commit_date: 2023-05-19
Date/Publication: 2023-05-19
NeedsCompilation: no
Packaged: 2023-05-19 19:53:10 UTC; biocbuild
Author: Aaron Lun [aut, cre, cph]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-basilisk.utils (1.12.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 22:02:27 +0200

## r-bioc-basilisk.utils 1.14.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: basilisk.utils
-Version: 1.12.1
-Date: 2023-05-19
+Version: 1.14.1
+Date: 2023-11-15
 Title: Basilisk Installation Utilities
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
         email="infinite.monkeys.with.keyboards@gmail.com"))
@@ -19,11 +19,12 @@
 RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/basilisk.utils
-git_branch: RELEASE_3_17
-git_last_commit: c93f615
-git_last_commit_date: 2023-05-19
-Date/Publication: 2023-05-19
+git_branch: RELEASE_3_18
+git_last_commit: 62f0819
+git_last_commit_date: 2023-11-19
+Repository: Bioconductor 3.18
+Date/Publication: 2023-11-20
 NeedsCompilation: no
-Packaged: 2023-05-19 19:53:10 UTC; biocbuild
+Packaged: 2023-11-20 21:02:20 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-basilisk.utils (1.14.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 07:38:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-basilisk.utils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-basilisk.utils.git
 Homepage: https://bioconductor.org/packages/basilisk.utils/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-basilisk.utils 1.16.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: basilisk.utils
-Version: 1.14.1
-Date: 2023-11-15
+Version: 1.16.0
+Date: 2024-04-08
 Title: Basilisk Installation Utilities
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
         email="infinite.monkeys.with.keyboards@gmail.com"))
@@ -19,12 +19,12 @@
 RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/basilisk.utils
-git_branch: RELEASE_3_18
-git_last_commit: 62f0819
-git_last_commit_date: 2023-11-19
-Repository: Bioconductor 3.18
-Date/Publication: 2023-11-20
+git_branch: RELEASE_3_19
+git_last_commit: 04f649c
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-11-20 21:02:20 UTC; biocbuild
+Packaged: 2024-05-01 02:37:38 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-basilisk.utils (1.16.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:20:20 +0200

r-bioc-basilisk.utils (1.16.0+ds-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 14:29:07 +0200

r-bioc-basilisk.utils (1.16.0+ds-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 11:19:16 +0200

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,18 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-dir.expiry
+               r-bioc-dir.expiry (>= 1.12.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-basilisk.utils
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-dir.expiry (>= 1.12.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-basilisk (>= 1.16.0)
 Description: Bioconductor basilisk installation utilities
  Implements utilities for installation of the basilisk package, primarily
  for creation of the underlying Conda instance. This allows one to avoid

## r-bioc-basilisk.utils 1.18.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,20 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-basilisk.utils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-basilisk.utils.git
 Homepage: https://bioconductor.org/packages/basilisk.utils/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-dir.expiry (>= 1.12.0)
+               r-bioc-dir.expiry
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-basilisk.utils
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
-         r-bioc-dir.expiry (>= 1.12.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocstyle (>= 2.32.1),
-          r-bioc-basilisk (>= 1.16.0)
+Suggests: ${R:Suggests}
 Description: Bioconductor basilisk installation utilities
  Implements utilities for installation of the basilisk package, primarily
  for creation of the underlying Conda instance. This allows one to avoid

## r-bioc-basilisk.utils 1.18.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: basilisk.utils
-Version: 1.16.0
-Date: 2024-04-08
+Version: 1.18.0
+Date: 2024-09-10
 Title: Basilisk Installation Utilities
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
         email="infinite.monkeys.with.keyboards@gmail.com"))
@@ -19,12 +19,12 @@
 RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/basilisk.utils
-git_branch: RELEASE_3_19
-git_last_commit: 04f649c
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 9a57114
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 02:37:38 UTC; biocbuild
+Packaged: 2024-10-29 23:33:23 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-basilisk.utils (1.18.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 20:27:01 +0100

r-bioc-basilisk.utils (1.18.0+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 11:40:16 +0100
